<?php if(!defined('ABSPATH')) {die('You are not allowed to call this page directly.');} ?>

<div class="wafp-options-pane wafp-integration-option wafp-general-option">
  <span class="description"><?php _e('You can configure Affiliate Royale to work with most Shopping Carts and payment systems with the use of a tracking pixel', 'affiliate-royale', 'easy-affiliate'); ?></span>
  <p>
    <h3><?php _e('If your "Thank You" page is on a page on this website:', 'affiliate-royale', 'easy-affiliate'); ?></h3>
    <span class="description"><?php _e('You can just use the Affiliate Royale shortcode to pass static values like so. <b>Note:</b> this method should only be used for tracking manual or offline commissions. When you use static values like this you have to omit the order_id. Since the order_id must be unique, Affiliate Royale automatically creates a unique order_id for you -- this means that you\'ll want to probably disable the "Affiliate Commission Notification" and prevent your thank you page from being refreshed when using this method. This is because Affiliate Royale will track each page load as a new affiliate transaction.', 'affiliate-royale', 'easy-affiliate'); ?></span>
    <p><pre>[ar_track amount="100.00" prod_id="Awesome Cool Product" /]</pre></p>
    <span class="description"><?php _e('Or, you can tell the Affiliate Royale shortcode to read in GET / POST variables. For instance if your shopping cart redirects users to this thank you page \'http://example.com/thank-you/?awesome_amount=100.00&sweet_order_id=175FJS3H&prod_id=Awesome+Cool+Product\' then you\'d want the following shortcode installed:', 'affiliate-royale', 'easy-affiliate'); ?></span>
    <p><pre>[ar_track amount="awesome_amount" order_id="sweet_order_id" prod_id="prod_id" use_params="true" /]</pre></p>
    <h3><?php _e('If your "Thank You" page is on another website, part of a customized theme on this site or a page on this site outside of WordPress:', 'affiliate-royale', 'easy-affiliate'); ?></h3>
    <span class="description"><?php _e('In this case you can use the Affiliate Royale tracking pixel to pass static values like so. <b>Note:</b> as with the shortcode, this method should only be used for tracking manual or offline commissions. When you use static values like this you have to omit the order_id. Since the order_id must be unique, Affiliate Royale automatically creates a unique order_id for you -- this means that you\'ll want to probably disable the "Affiliate Commission Notification" and prevent your thank you page from being refreshed when using this method. This is because Affiliate Royale will track each page load as a new affiliate transaction.', 'affiliate-royale', 'easy-affiliate'); ?></span>
    <p><pre>&lt;img src="<?php echo WAFP_SCRIPT_URL; ?>&controller=transactions&action=track&amount=100.00&prod_id=Awesome+Cool+Product" width="1px" height="1px" style="display: none;" /&gt;</pre></p>
    <span class="description"><?php _e('Or, you can tell the Affiliate Royale tracking pixel to read in GET / POST variables if your tracking pixel is on a PHP page. For instance if your shopping cart redirects users to this thank you page \'http://examplecart.com/thank-you.php?awesome_amount=100.00&sweet_order_id=175FJS3H&prod_id=Awesome+Cool+Product\' then you\'d want the following shortcode installed:', 'affiliate-royale', 'easy-affiliate'); ?></span>
    <p><pre>&lt;img src="<?php echo WAFP_SCRIPT_URL; ?>&controller=transactions&action=track&amount=&lt;?php echo $_REQUEST['awesome_amount']; ?&gt;&order_id=&lt;?php echo $_REQUEST['sweet_order_id']; ?&gt;&prod_id=&lt;?php echo $_REQUEST['prod_id']; ?&gt;" width="1px" height="1px" style="display: none;" /&gt;</pre></p>
  </p>
  <h3><?php _e('More Information:', 'affiliate-royale', 'easy-affiliate'); ?></h3>
  <span class="description"><?php _e('For instructions on integrating Affiliate Royale with your specific Shopping Cart or Payment Gateway can be found <a href="http://affiliateroyale.com/user-manual/generic-integration-options/">here</a>.', 'affiliate-royale', 'easy-affiliate'); ?></span>
</div>
