var mepr_load_drip_accounts_dropdown = function (id, apikey, wpnonce) {
    (function($) {
        if( apikey == '' ) { return; }

        var account_id = $(id).data('accountid');

        var args = {
             action: 'mepr_drip_get_accounts',
             apikey: apikey,
             wpnonce: wpnonce
         };

        $.ajax({
            async: false,
            type: 'POST',
            dataType : "json",
            url: ajaxurl,
            data : args,
            success: function(res){
                if( res != 'error' ) {
                    var options = '';
                    var selected = '';

                    $.each( res, function( index, account ) {
                        selected = ( ( account_id == account.id ) ? ' selected' : '' );
                        options += '<option value="' + account.id + '"' + selected + '>' + account.name + '</option>';
                    });

                    $(id).html(options);
                }
            }
        });

    })(jQuery);
};

var mepr_load_drip_campaigns_dropdown = function (id, apikey, account, wpnonce) {
    (function($) {

        if( apikey == '' || account == '' ) { return; }

        var list_id = $(id).data('listid');

        var args = {
            action: 'mepr_drip_get_lists',
            apikey: apikey,
            account: account,
            wpnonce: wpnonce
        };

        $.post( ajaxurl, args, function(res) {
            if(res != 'error') {
                var options = '';
                var selected = '';

                $.each( res, function( index, list ) {
                    if($.isNumeric(index)){
                        selected = ( ( list_id == list.id ) ? ' selected' : '' );
                        options += '<option value="' + list.id + '"' + selected + '>' + list.name + '</option>';
                    }
                });

                $(id).html(options);
            }
        }, 'json' );
    })(jQuery);
};
